Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.parser.v2
Class XMLNotation

    java.lang.Object
      |
      +--oracle.xml.parser.v2.XMLNode
            |
            +--oracle.xml.parser.v2.XMLNotation

All Implemented Interfaces:
  java.lang.Cloneable, EventTarget, java.io.Externalizable, Node, NodeEditVAL, Notation, java.io.Serializable

public class XMLNotation
extends XMLNode
implements Notation, java.io.Externalizable

This class implements the DOM `Notation` interface and represents a notation declared in the Document Type Definition.

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.xml.parser.v2.XMLNode
`ATTRDECL, Auto_Events, capturing, DOMAttrModified, DOMCharacterDataModified, DOMNodeInserted, DOMNodeInsertedIntoDocument, DOMNodeRemoved, DOMNodeRemovedFromDocument, DOMSubtreeModified, ELEMENTDECL, noncapturing, RANGE_DELETE_EVENT, RANGE_DELETETEXT_EVENT, RANGE_INSERT_EVENT, RANGE_INSERTTEXT_EVENT, RANGE_REPLACE_EVENT, RANGE_SETTEXT_EVENT, TRAVERSAL_DELETE_EVENT, TRAVERSAL_REPLACE_EVENT, XMLDECL_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.validation.NodeEditVAL
`VAL_FALSE, VAL_INCOMPLETE, VAL_NS_WF, VAL_SCHEMA, VAL_TRUE, VAL_UNKNOWN, VAL_WF`

Constructor Summary
`XMLNotation()` Deprecated. use XMLNotation(String)
`XMLNotation(java.lang.String name)` Create a notation with the given name

Method Summary
`Node` | `getNextSibling()` Gets The node immediately following this node.
`java.lang.String` | `getNodeName()` Gets the name of this node, depending on its type
`short` | `getNodeType()` Gets a code representing the type of the underlying object
`Node` | `getParentNode()` Gets the parent of this node.
`Node` | `getPreviousSibling()` Gets the node immediately preceding this node.
`java.lang.String` | `getPublicId()` Gets the Public identifer; if not specified, then `null`
`java.lang.String` | `getSystemId()` Gets the System identifer; if not specified, then `null`
`void` | `readExternal(java.io.ObjectInput inArg)` This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
`void` | `setPublicId(java.lang.String pubid)` Sets the Public Identifier
`void` | `setSystemId(java.lang.String url)` Sets the System Identifier
`void` | `writeExternal(java.io.ObjectOutput outArg)` This method saves the state of the object by creating a binray compressed stream with information about this object.

Methods inherited from class oracle.xml.parser.v2.XMLNode
`addEventListener, addText, appendChild, canAppendChild, canInsertBefore, canRemoveChild, canReplaceChild, cloneNode, dispatchEvent, getAttributes, getChildNodes, getColumnNumber, getDebugMode, getDefaultValue, getEnumeratedValues, getFirstChild, getLastChild, getLineNumber, getLocalName, getNamespaceURI, getNodeValue, getOwnerDocument, getPrefix, getPrimitiveTypeId, getProperty, getText, getXMLError, hasAttributes, hasChildNodes, insertBefore, isDocumentFlag, isNodeFlag, isSupported, nodeValidity, normalize, print, print, print, print, removeChild, removeEventListener, replaceChild, reportSAXEvents, resetNodeFlag, selectNodes, selectNodes, selectSingleNode, selectSingleNode, setDebugInfo, setNodeFlag, setNodeFlag, setNodeFlag, setNodeValue, setPrefix, setProperty, transformNode, valueOf, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNodeValue, getOwnerDocument, getPrefix, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### XMLNotation

    public XMLNotation()

  Deprecated. use XMLNotation(String)
  Default constructor. Note that this constructor is used only during deserialization/decompression of this DOM node. In order to deserialize this node to construct the DOM node from the serialized/ compressed stream, it is required to create a handle of the object. For all normal XMLElement creation use XMLNotation(String)

### XMLNotation

    public XMLNotation(java.lang.String name)

  Create a notation with the given name
Parameters:
  `name` - Name of the notation

Method Detail

### getNodeType

    public short getNodeType()

  Gets a code representing the type of the underlying object
  Specified by:
    `getNodeType` in interface `Node`
  Overrides:
    `getNodeType` in class `XMLNode`
  Returns:
    type of the node

### getNodeName

    public java.lang.String getNodeName()

  Gets the name of this node, depending on its type
  Specified by:
    `getNodeName` in interface `Node`
  Overrides:
    `getNodeName` in class `XMLNode`
  Returns:
    Name of this node

### getParentNode

    public Node getParentNode()

  Gets the parent of this node. All nodes, except `Document`, `DocumentFragment`, and `Attr` may have a parent. However, if a node has just been created and not yet added to the tree, or if it has been removed from the tree, this is `null`.
  Specified by:
    `getParentNode` in interface `Node`
  Overrides:
    `getParentNode` in class `XMLNode`
  Returns:
    The parent of this node

### getPreviousSibling

    public Node getPreviousSibling()

  Gets the node immediately preceding this node. If there is no such node, this returns `null`.
  Specified by:
    `getPreviousSibling` in interface `Node`
  Overrides:
    `getPreviousSibling` in class `XMLNode`
  Returns:
    the previous node

### getNextSibling

    public Node getNextSibling()

  Gets The node immediately following this node. If there is no such node, this returns `null`.
  Specified by:
    `getNextSibling` in interface `Node`
  Overrides:
    `getNextSibling` in class `XMLNode`
  Returns:
    the next node

### getPublicId

    public java.lang.String getPublicId()

  Gets the Public identifer; if not specified, then `null`
  Specified by:
    `getPublicId` in interface `Notation`
  Returns:
    The public identifier

### getSystemId

    public java.lang.String getSystemId()

  Gets the System identifer; if not specified, then `null`
  Specified by:
    `getSystemId` in interface `Notation`
  Overrides:
    `getSystemId` in class `XMLNode`
  Returns:
    The System identifier

### setPublicId

    public void setPublicId(java.lang.String pubid)

  Sets the Public Identifier
  Parameters:
    `pubid` - Public Identifier to set

### setSystemId

    public void setSystemId(java.lang.String url)

  Sets the System Identifier
  Parameters:
    `url` - System Identifier to set

### writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binray compressed stream with information about this object.
  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Overrides:
    `writeExternal` in class `XMLNode`
  Parameters:
    `outArg` - The ObjectOutput stream used to write the serialized/ compressed stream.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

### readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Overrides:
    `readExternal` in class `XMLNode`
  Parameters:
    `inArg` - the ObjectInput stream used for reading the compressed stream.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.